wigner.h File Reference

Header file for functions related to Wigner-d/D functions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

double | SO3_alpha (int k, int m, int l)
| Computes three-term recurrence coefficients of Wigner-d functions.
double | SO3_beta (int k, int m, int l)
| Computes three-term recurrence coefficients of Wigner-d functions.
double | SO3_gamma (int k, int m, int l)
| Computes three-term recurrence coefficients of Wigner-d functions.
void | SO3_alpha_row (double *alpha, int N, int m, int n)
| Compute three-term-recurrence coefficients of Wigner-d functions for all degrees .
void | SO3_beta_row (double *beta, int N, int m, int n)
| Compute three-term-recurrence coefficients of Wigner-d functions for all degrees .
void | SO3_gamma_row (double *gamma, int N, int m, int n)
| Compute three-term-recurrence coefficients of Wigner-d functions for all degrees .
void | SO3_alpha_matrix (double *alpha, int N, int n)
| Compute three-term-recurrence coefficients of Wigner-d functions for all order and degrees .
void | SO3_beta_matrix (double *beta, int N, int n)
| Compute three-term-recurrence coefficients of Wigner-d functions for all order and degrees .
void | SO3_gamma_matrix (double *gamma, int N, int n)
| Compute three-term-recurrence coefficients of Wigner-d functions for all order and degrees .
void | SO3_alpha_all (double *alpha, int N)
| Compute three-term-recurrence coefficients of Wigner-d functions for all and .
void | SO3_beta_all (double *beta, int N)
| Compute three-term-recurrence coefficients of Wigner-d functions for all and .
void | SO3_gamma_all (double *gamma, int N)
| Compute three-term-recurrence coefficients of Wigner-d functions for all and .
void | eval_wigner (double *x, double *y, int size, int l, double *alpha, double *beta, double *gamma)
| Evaluates Wigner-d functions using the Clenshaw-algorithm.
int | eval_wigner_thresh (double *x, double *y, int size, int l, double *alpha, double *beta, double *gamma, double threshold)
| Evaluates Wigner-d functions using the Clenshaw-algorithm if it not exceeds a given threshold.
double | wigner_start (int n1, int n2, double theta)
| A method used for debugging, gives the values to start the "old" three-term recurrence generates WHERE THE DEGREE l OF THE FUNCTION IS EQUAL TO THE MAXIMUM OF ITS ORDERS.

## Detailed Description

Header file for functions related to Wigner-d/D functions.

Author
  Antje Vollrath

Definition in file wigner.h.

## Function Documentation

## SO3_alpha()

double SO3_alpha | ( | int | k,
|  | int | m,
|  | int | l )

Computes three-term recurrence coefficients of Wigner-d functions.

- k The order
- m The order
- l The degree

Definition at line 25 of file wigner.c.

## SO3_beta()

double SO3_beta | ( | int | k,
|  | int | m,
|  | int | l )

Computes three-term recurrence coefficients of Wigner-d functions.

- k The order
- m The order
- l The degree

Definition at line 52 of file wigner.c.

## SO3_gamma()

double SO3_gamma | ( | int | k,
|  | int | m,
|  | int | l )

Computes three-term recurrence coefficients of Wigner-d functions.

- k The order
- m The order
- l The degree

Definition at line 73 of file wigner.c.

## SO3_alpha_row()

void SO3_alpha_row | ( | double * | alpha,
|  | int | N,
|  | int | m,
|  | int | n )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all degrees .

- alpha A pointer to an array of doubles of size
- m the first order
- n the second order
- N The upper bound .

Definition at line 88 of file wigner.c.

## SO3_beta_row()

void SO3_beta_row | ( | double * | beta,
|  | int | N,
|  | int | m,
|  | int | n )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all degrees .

- alpha A pointer to an array of doubles of size
- m the first order
- n the second order
- N The upper bound .

Definition at line 96 of file wigner.c.

## SO3_gamma_row()

void SO3_gamma_row | ( | double * | gamma,
|  | int | N,
|  | int | m,
|  | int | n )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all degrees .

- alpha A pointer to an array of doubles of size
- m the first order
- n the second order
- N The upper bound .

Definition at line 104 of file wigner.c.

## SO3_alpha_matrix()

void SO3_alpha_matrix | ( | double * | alpha,
|  | int | N,
|  | int | n )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all order and degrees .

- alpha A pointer to an array of doubles of size
- n the second order
- N The upper bound .

Definition at line 114 of file wigner.c.

## SO3_beta_matrix()

void SO3_beta_matrix | ( | double * | beta,
|  | int | N,
|  | int | n )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all order and degrees .

- alpha A pointer to an array of doubles of size
- n the second order
- N The upper bound .

Definition at line 128 of file wigner.c.

## SO3_gamma_matrix()

void SO3_gamma_matrix | ( | double * | gamma,
|  | int | N,
|  | int | n )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all order and degrees .

- alpha A pointer to an array of doubles of size
- n the second order
- N The upper bound .

Definition at line 142 of file wigner.c.

## SO3_alpha_all()

void SO3_alpha_all | ( | double * | alpha,
|  | int | N )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all and .

- alpha A pointer to an array of doubles of size

- N The upper bound .

Definition at line 158 of file wigner.c.

## SO3_beta_all()

void SO3_beta_all | ( | double * | beta,
|  | int | N )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all and .

- alpha A pointer to an array of doubles of size

- N The upper bound .

Definition at line 181 of file wigner.c.

## SO3_gamma_all()

void SO3_gamma_all | ( | double * | gamma,
|  | int | N )

inline

Compute three-term-recurrence coefficients of Wigner-d functions for all and .

- alpha A pointer to an array of doubles of size

- N The upper bound .

Definition at line 198 of file wigner.c.

## eval_wigner()

void eval_wigner | ( | double * | x,
|  | double * | y,
|  | int | size,
|  | int | l,
|  | double * | alpha,
|  | double * | beta,
|  | double * | gamma )

inline

Evaluates Wigner-d functions using the Clenshaw-algorithm.

- x A pointer to an array of nodes where the function is to be evaluated
- y A pointer to an array where the function values are returned
- size The length of x and y
- l The degree
- alpha A pointer to an array containing the recurrence coefficients
- beta A pointer to an array containing the recurrence coefficients
- gamma A pointer to an array containing the recurrence coefficients

Definition at line 215 of file wigner.c.

## eval_wigner_thresh()

int eval_wigner_thresh | ( | double * | x,
|  | double * | y,
|  | int | size,
|  | int | l,
|  | double * | alpha,
|  | double * | beta,
|  | double * | gamma,
|  | double | threshold )

inline

Evaluates Wigner-d functions using the Clenshaw-algorithm if it not exceeds a given threshold.

- x A pointer to an array of nodes where the function is to be evaluated
- y A pointer to an array where the function values are returned
- size The length of x and y
- l The degree
- alpha A pointer to an array containing the recurrence coefficients
- beta A pointer to an array containing the recurrence coefficients
- gamma A pointer to an array containing the recurrence coefficients
- threshold The threshold

Definition at line 260 of file wigner.c.

## wigner_start()

double wigner_start | ( | int | n1,
|  | int | n2,
|  | double | theta )

A method used for debugging, gives the values to start the "old" three-term recurrence generates WHERE THE DEGREE l OF THE FUNCTION IS EQUAL TO THE MAXIMUM OF ITS ORDERS.

- theta the argument of
- n1 the first order
- n2 the second order

Returns
  the function value

Definition at line 317 of file wigner.c.